## golang-github-neowaylabs-wabbit 0.0~git20180530.0.d089945

=== Makefile ===
test:
	./hack/check.sh

## golang-github-neowaylabs-wabbit 0.0~git20170406.0.cfb5237

=== debian/changelog ===
golang-github-neowaylabs-wabbit (0.0~git20170406.0.cfb5237-2) unstable; urgency=medium

  * Fix tests failing due to alignment issues on ARM and i386.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 15 Aug 2017 17:15:43 +0200

golang-github-neowaylabs-wabbit (0.0~git20170406.0.cfb5237-1) unstable; urgency=medium

  * Initial release (Closes: #860037)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 10 Apr 2017 16:50:25 +0200

=== debian/control ===
Source: golang-github-neowaylabs-wabbit
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-pborman-uuid-dev,
               golang-github-streadway-amqp-dev
Standards-Version: 3.9.8
Homepage: https://github.com/NeowayLabs/wabbit
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-neowaylabs-wabbit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-neowaylabs-wabbit.git
XS-Go-Import-Path: github.com/NeowayLabs/wabbit

Package: golang-github-neowaylabs-wabbit-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-pborman-uuid-dev,
         golang-github-streadway-amqp-dev
Description: Golang AMQP mocking library
 AMQP is a verbose protocol that makes it difficult to implement proper
 unit-testing on your application.  The first goal of the Wabbit library is
 provide a sane interface for an AMQP client implementation based on
 the specification AMQP-0-9-1 (no extension) and then an implementation
 of this interface using the well established package streadway/amqp
 (https://github.com/streadway/amqp) (a wrapper).

## golang-github-neowaylabs-wabbit 0.0~git20170928.0.c9585b6

=== debian/changelog ===
golang-github-neowaylabs-wabbit (0.0~git20170928.0.c9585b6-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patch applied by upstream.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 12 Oct 2017 17:13:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                golang-any,
                golang-github-pborman-uuid-dev,
                golang-github-streadway-amqp-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/NeowayLabs/wabbit
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-neowaylabs-wabbit.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-neowaylabs-wabbit.git

## golang-github-neowaylabs-wabbit 0.0~git20180530.0.d089945

=== debian/changelog ===
golang-github-neowaylabs-wabbit (0.0~git20180530.0.d089945-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:02:00 +0100

golang-github-neowaylabs-wabbit (0.0~git20180530.0.d089945-1) unstable; urgency=medium

  * New upstream snapshot.
  * Priority extra -> optional.
  * Drop patch directory.
  * Bump Standards-Version.
  * Use debhelper 11.
  * Use Salsa VCS-* entries.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 20 Jun 2018 13:25:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-neowaylabs-wabbit
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-pborman-uuid-dev,
                golang-github-streadway-amqp-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/NeowayLabs/wabbit
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-neowaylabs-wabbit.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-neowaylabs-wabbit.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-neowaylabs-wabbit
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-neowaylabs-wabbit.git
 XS-Go-Import-Path: github.com/NeowayLabs/wabbit
 
 Package: golang-github-neowaylabs-wabbit-dev

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-neowaylabs-wabbit-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/NeowayLabs/wabbit/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-neowaylabs-wabbit 0.0~git20210927.0.73ad61d

=== debian/changelog ===
golang-github-neowaylabs-wabbit (0.0~git20210927.0.73ad61d-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump d/copyright date for debian directory.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 19 Jan 2023 11:53:53 +0100

golang-github-neowaylabs-wabbit (0.0~git20180530.0.d089945-2) unstable; urgency=medium

  * Remove unnecessary watchfile, upstream does not tag releases.
  * Use debhelper 13.
  * Bump Standards-Version.
  * Set Rules-Requires-Root.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 22:49:01 +0100

=== debian/control ===
Source: golang-github-neowaylabs-wabbit
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-pborman-uuid-dev,
               golang-github-rabbitmq-amqp091-go-dev
Standards-Version: 4.6.1
Homepage: https://github.com/NeowayLabs/wabbit
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-neowaylabs-wabbit
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-neowaylabs-wabbit.git
XS-Go-Import-Path: github.com/NeowayLabs/wabbit

Package: golang-github-neowaylabs-wabbit-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-pborman-uuid-dev,
         golang-github-rabbitmq-amqp091-go-dev
Description: Golang AMQP mocking library
 AMQP is a verbose protocol that makes it difficult to implement proper
 unit-testing on your application.  The first goal of the Wabbit library is
 provide a sane interface for an AMQP client implementation based on
 the specification AMQP-0-9-1 (no extension) and then an implementation
 of this interface using the well established package rabbitmq/amqp091-go
 (https://github.com/rabbitmq/amqp091-go) (a wrapper).
